petsc-3.7.7 2017-09-25
Report Typos and Errors

# VecLockPop

Unlock a vector from writing

### Synopsis

    #include "petscvec.h"
    PetscErrorCode VecLockPop(Vec x)

Logically Collective on Vec

### Input Parameter

x -the vector

### See Also

VecRestoreArray(), VecGetArrayRead(), VecLockPush(), VecLockGet()

Level:beginner
Location:src/vec/vec/interface/rvector.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages